from ctypes import *

class C_Library(object):
    def __init__(self, path:str, retype:type(c_int)):
        self.path:str = path
        self.lib:_DLLT = cdll.LoadLibrary(path)
        self.lib.main.restype = retype
        self.func:CDLL = self.lib.main
    def main(self, *args):
        return self.func(*args)
